### Method

# Ide VcsCloner validate_uri

#### Declaration

    gboolean
    ide_vcs_cloner_validate_uri (
      IdeVcsCloner* self,
      const gchar* uri,
      gchar** errmsg
    )

#### Description

Checks to see if `uri` is valid, and if not, sets `errmsg` to a string describing how the URI is invalid.

Available since: | 3.32

#### Parameters

`uri` | `const gchar*`
| A string containing the URI to validate.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`errmsg` | `gchar**`
| A location for an error message.
| The argument will be set by the function.
| The argument can be `NULL`.
| The instance takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `uri` is valid, otherwise `FALSE` and `error` is set.